<p-growl [(value)]="msgs" baseZIndex=14000></p-growl>
<!-- LOGUEADO -->

<!-- NAVEGACIÓN -->
<div *ngIf="identity" class="navigation col-lg-1 col-md-1 col-sm-2 col-xs-2 page-login">
  <h1 class="head-title">
    <a [routerLink]="['/']">
      <span class="glyphicon glyphicon-music" aria-hidden="true"></span>
      <span class="hidden-xs">{{ title }}</span>
    </a>
  </h1>
  <nav id="navigation">
      <a href="#">
        <span class="glyphicon glyphicon-search" aria-hidden="true"></span>
        <span class="hidden-xs">Buscar</span>
      </a>
    <!-- routerLinkActive lo uso para marcar el elemento del menú cuando estoy en esa ruta -->
    <a [routerLink]="['/artistas',1]" [routerLinkActive]="['actived']">
      <span class="glyphicon glyphicon-star" aria-hidden="true"></span>
      <span class="hidden-xs">Artistas</span>
    </a>
    <a href="#">
      <span class="glyphicon glyphicon-book" aria-hidden="true"></span>
      <span class="hidden-xs">Albums</span>
    </a>
    <br>
  </nav>
  <br>
  <nav id="user-logged">
    <div class="user_image hidden-xs">
      <img id="image-logged" [src]='identity.imageURL' class="">
    </div>
    <span id="identity_name">
      <span class="hidden-xs">{{identity.name}}</span>
    </span>
    <br>
    <a [routerLink]="['/mis-datos']" [routerLinkActive]="['actived']">
      <span class="glyphicon glyphicon-cog" aria-hidden="true"></span>
      <span class="hidden-xs">Mis Datos</span>
    </a>
    <a (click)="logout()" class="btn-logout">
      <span class="glyphicon glyphicon-log-out" aria-hidden="true"></span>
      <span class="hidden-xs">Cerrar sesión</span>
    </a>
    <br>
  </nav>
</div>
<!-- FIN BARRA DE NAVEGACIÓN -->

<div [class.hidden]="!identity" class="col-lg-11 col-lg-offset-1 col-md-11 col-md-offset-1 col-sm-10 col-sm-offset-2 col-xs-10 col-xs-offset-2"
  style="margin-bottom: 145px;">
  <router-outlet></router-outlet>
  <div class="clearfix"></div>
  <player class="player navbar-fixed-bottom col-lg-11 col-lg-offset-1 col-md-11 col-md-offset-1 col-sm-10 col-sm-offset-2 col-xs-10 col-xs-offset-2"
    *ngIf="identity"></player>
</div>

<!-- FIN LOGUEADO -->

<!-- NO LOGUEADO -->

<div *ngIf="!identity" style="height: 300px;">
  <!-- header -->
  <nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container">
      <div class="navbar-header">
        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false"
          aria-controls="navbar">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="#">
          <span class="glyphicon glyphicon-music" aria-hidden="true"></span>
          {{ title }}
        </a>
      </div>
      <div id="navbar" class="navbar-collapse collapse">
        <form class="navbar-form navbar-right" #loginForm="ngForm" (ngSubmit)="onSubmit()">
          <div class="form-group">
            <input type="text" placeholder="Email" class="form-control" #email="ngModel" name="email" [(ngModel)]="user.email" type=""
              class="form-control">
          </div>
          <div class="form-group">
            <input type="password" placeholder="Password" class="form-control" #password="ngModel" name="password" [(ngModel)]="user.password"
              class="form-control">
          </div>
          <button type="submit" class="btn btn-success">Ingresar <i id="spinner-login" class="fas fa-spinner rotating"></i></button>
          <a href="#register-section"></a>
          <a href="#register-section" class="btn btn-success">Registrate</a>
        </form>
      </div>
      <!--/.navbar-collapse -->
    </div>
  </nav>
  <!-- fin header -->


  <!-- carrousel -->
  <div id="myCarousel" class="carousel slide" data-ride="carousel">
    <!-- Indicators -->
    <ol class="carousel-indicators">
      <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
      <li data-target="#myCarousel" data-slide-to="1"></li>
      <li data-target="#myCarousel" data-slide-to="2"></li>
    </ol>

    <!-- Wrapper for slides -->
    <div class="carousel-inner">
      <div class="item active">
        <img src="../assets/img/slide1.jpeg" alt="Musify slide 1">
      </div>

      <div class="item">
        <img src="../assets/img/slide2.jpeg" alt="Musify slide 2">
      </div>

      <div class="item">
        <img src="../assets/img/slide3.jpeg" alt="Musify slide 3">
      </div>
    </div>

    <!-- Left and right controls -->
    <a class="left carousel-control" href="#myCarousel" data-slide="prev">
      <span class="glyphicon glyphicon-chevron-left"></span>
      <span class="sr-only">Previous</span>
    </a>
    <a class="right carousel-control" href="#myCarousel" data-slide="next">
      <span class="glyphicon glyphicon-chevron-right"></span>
      <span class="sr-only">Next</span>
    </a>
  </div>
  <!-- fin carrousel -->

  <div class="form-box">

    <h1 class="text-center">Registrarse en MUSIFY!</h1>
    <br>

    <form #registerForm="ngForm" (submit)="onSubmitRegister()">
      <div class="form-group" autocomplete="off">
        <label for="name">Nombre: <span class="required">*</span></label>
        <input id="name" type="text" name="name" class="form-control" placeholder="Ingrese su nombre" #name="ngModel" [(ngModel)]="user_register.name">
      </div>
      <div class="form-group">
        <label for="surname">Apellido: <span class="required">*</span></label>
        <input id="surname" type="text" name="surname" class="form-control" placeholder="Ingrese su apellido" #surname="ngModel"
          [(ngModel)]="user_register.surname">
      </div>
      <div class="form-group">
        <label for="email">Email: <span class="required">*</span></label>
        <input id="email" type="email" name="email" class="form-control" autocomplete="off" placeholder="usuario@ejemplo.com" #email="ngModel"
          [(ngModel)]="user_register.email">
      </div>
      <div class="form-group">
        <label for="password">Contraseña: <span class="required">*</span></label>
        <input id="password" type="password" name="password" class="form-control" placeholder="********" #password="ngModel" [(ngModel)]="user_register.password">
      </div>
      <span class="info-obligatorio">
        * Campos obligatorios
      </span>
      <br>
      <br>
      <div class="text-center">
        <input type="submit" value="Registrarse!" class="btn btn-info" [disabled]="!registerForm.form.valid">
      </div>
      <br>
    </form>
  </div>

  <!-- FOOTER -->
  <!--footer start from here-->
  <footer>
    <div class="container">
      <div class="row">
        <div class="col-md-4 col-sm-6 footerleft ">
          <div class="logofooter">
            <span class="glyphicon glyphicon-music" aria-hidden="true"></span>
            {{ title }}
          </div>
          <p>Musify es un sistema que permite escuchar tus canciones favoritas sin tener que descargar nada...!</p>
          <p><i class="fa fa-map-pin"></i>
            1234, Calle Falsa, Springfield, EEUU
          </p>
          <p><i class="fa fa-phone"></i> Phone (UNKNOW): 1234-5678</p>
          <p><i class="fa fa-envelope"></i> E-mail : test@test.com</p>

        </div>
        <div class="col-md-2 col-sm-6 paddingtop-bottom">
          <h6 class="heading7">Sobre MUSIFY</h6>
          <ul class="footer-ul">
            <li><a href="#"> Tecnologías</a></li>
            <li><a href="#"> Costos del servicio</a></li>
            <li><a href="#"> Terminos y condiciones</a></li>
            <li><a href="#"> ¿Cómo comenzar?</a></li>
            <li><a href="#"> Preguntas frecuentes (FAQ)</a></li>
          </ul>
        </div>
        <div class="col-md-3 col-sm-6 paddingtop-bottom">
          <h6 class="heading7">Últimas noticias de MUSIFY</h6>
          <div class="post">
            <p> Servicio "MUSIFY para desarrolladores liberado"
              <span>01 de enero, 2018</span>
            </p>
            <p>
              Versión BETA de musify disponible
              <span> 01 de enero, 2018</span>
            </p>
            <p>Comienza el desarrollo de musify
              <span>12 de diciembre, 2015</span>
            </p>
          </div>
        </div>
        <div class="col-md-3 col-sm-6 paddingtop-bottom">
          <div class="fb-page" data-href="https://www.facebook.com/facebook" data-tabs="timeline" data-height="300" data-small-header="false"
            style="margin-bottom:15px;" data-adapt-container-width="true" data-hide-cover="false" data-show-facepile="true">
            <div class="fb-xfbml-parse-ignore">
              <blockquote cite="https://www.facebook.com/facebook"><a href="https://www.facebook.com/facebook">Facebook</a></blockquote>
            </div>
          </div>
        </div>
      </div>
    </div>
  </footer>
  <!--footer start from here-->

  <div class="copyright">
    <div class="container">
      <div class="col-md-6">
        <p>© 2018 - Todos los derechos reservados</p>
      </div>
      <div class="col-md-6">
        <ul class="bottom_ul">
          <li><a href="#"> V1.0.0</a></li>
          <li><a href="#">Acerca de</a></li>
          <li><a href="#">Guía de usuario</a></li>
          <li><a href="#">Informar error</a></li>
        </ul>
      </div>
    </div>
  </div>

  <!-- FIN FOOTER -->

</div>

<!--
<div *ngIf="!identity" class="col-lg-12 page-login">
  <div class="col-lg-6"> 
    <h1>Indentificate</h1>

    <div class="alert alert-danger" *ngIf="errorMessage">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
      <strong>Error </strong> {{errorMessage}}
    </div>

    <form #loginForm="ngForm" (ngSubmit)="onSubmit()" class="col-md-10">
      <p>
        <label>Correo electrónico</label>
        <input type="email" #email="ngModel" name="email" [(ngModel)]="user.email" type="" class="form-control" required>
        <span *ngIf="!email.valid && email.touched">
          * Ingrese un email
        </span>
      </p>

      <p>
        <label>Contraseña</label>
        <input type="password" #password="ngModel" name="password" [(ngModel)]="user.password" class="form-control" required>
        <span *ngIf="!password.valid && password.touched">
          * Ingrese una contraseña
        </span>
      </p>

      <input type="submit" value="Entrar" class="btn btn-primary">
    </form>
  </div>

  <div class="col-lg-6"> 
    <h1>Registrate</h1>
    <div class="alert alert-info" *ngIf="alertRegister">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
      {{alertRegister}}
    </div>
    <form class="col-md-10" #registerForm="ngForm" (submit)="onSubmitRegister()">
      <p>
        <label>Nombre:</label>
        <input type="text" #name="ngModel" name="name" [(ngModel)]="user_register.name" class="form-control" required>
        <span class="required" *ngIf="!name.valid && name.touched">
          * Ingrese su nombre
        </span>
      </p>
      <p>
        <label>Apellido:</label>
        <input type="text" #surname="ngModel" name="surname" [(ngModel)]="user_register.surname" class="form-control" required>
      </p>
        <span *ngIf="!surname.valid && surname.touched">
          * Ingrese su apellido
        </span>
      <p>
        <label>Correo electrónico:</label>
        <input type="text" #email="ngModel" name="email" [(ngModel)]="user_register.email" class="form-control" required>
        <span *ngIf="!email.valid && email.touched">
          * Ingrese su email
        </span>
      </p>
      <p>
        <label>Contraseña:</label>
        <input type="password" #password="ngModel" name="password" [(ngModel)]="user_register.password" class="form-control" required>
        <span *ngIf="!password.valid && password.touched">
          * Ingrese su contraseña
        </span>
      </p>

      <input type="submit" value="Registrarse!" class="btn btn-primary">
    </form>
  </div>
</div>

-->

<!-- FIN NO LOGUEADO -->